Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor.rdfa
Class XSLTStylesheetTest

    java.lang.Object
      org.apache.any23.extractor.rdfa.XSLTStylesheetTest

    public class XSLTStylesheetTest

extends Object

Test case for `XSLTStylesheet` class. Through this test we verify regressions on the RDFa XSLT transformer for HTML/XHTML

Author:
  Michele Mostarda (mostarda@fbk.eu)

Constructor Summary
`XSLTStylesheetTest()`

Method Summary
`void` | `testHTMLRDFaBaseHanding()` This test verifies the correct handling of base management for an HTML input.
`void` | `testXHTMLRDFaBaseHanding()` This test verifies the correct handling of base management for an XHTML input.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTStylesheetTest

    public XSLTStylesheetTest()

Method Detail

### testHTMLRDFaBaseHanding

    public void testHTMLRDFaBaseHanding()
                                 throws IOException,
                                        org.apache.any23.extractor.rdfa.XSLTStylesheetException

  This test verifies the correct handling of base management for an HTML input.

  Throws:
    `IOException`
    `XSLTStylesheetException`

### testXHTMLRDFaBaseHanding

    public void testXHTMLRDFaBaseHanding()
                                  throws IOException,
                                         org.apache.any23.extractor.rdfa.XSLTStylesheetException

  This test verifies the correct handling of base management for an XHTML input.

  Throws:
    `IOException`
    `XSLTStylesheetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.